Skip to main content
`Ctrl`+`K`

# STInitializePackage

This function initializes everything in the `ST` package. It is called from `PetscDLLibraryRegister_slepc()` when using dynamic libraries, and on the first call to `STCreate()` when using shared or static libraries.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STInitializePackage(void)

## Note

This function never needs to be called by SLEPc users.

## See Also

ST: Spectral Transformation, `ST`, `SlepcInitialize()`, `STFinalizePackage()`

## Level

developer

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages